#include <iostream>
#include <istream>
#include <vector>
#include <algorithm>
#include <set>
#include <queue>

struct Vertex {
    Vertex(int x, int y, int len = 0) : x(x), y(y), len(len) {}
    int x, y, len;
    bool closed = false;
};

int findLenOfPath(Vertex & start, int xEnd, int yEnd) {
    std::queue<Vertex> toVisit;
    toVisit.push(start);

    while (! toVisit.empty()) {
        Vertex current = toVisit.front();

        if (current.x == xEnd && current.y == yEnd) {
            return current.len;
        }

        toVisit.emplace(current.x + 1, current.y, current.len + 1);
        toVisit.emplace(current.x, current.y + 1, current.len + 1);
        toVisit.emplace(current.x, current.y - 1, current.len + 1);

        current.closed = true;
        toVisit.pop();
    }
}

int findLen(std::vector<Vertex> & vertices) {
    int result = 0;
    for (int i = 0; i < vertices.size() - 1; i++) {
        result += findLenOfPath(vertices[i], vertices[i + 1].x, vertices[i + 1].y);
    }
    return result;
}




int main(){
    int n;
    std::cin >> n;

    std::vector<Vertex> vertices;
    for (int i = 0; i < n; i++) {
        int x, y;
        std::cin >> x >> y;
        vertices.emplace_back(x, y);
    }

    std::cout << findLen(vertices);

    // for every combination, call findLen

    return 0;
}